class ServiceGroups {
  const ServiceGroups._();
  static ServiceGroup popular = ServiceGroup(
    1,
    "popular",
    "S.current.popular",
  );
  static ServiceGroup redirection = ServiceGroup(
    2,
    "redirection",
    "S.current.redirection",
  );

  static ServiceGroup ecosystems = ServiceGroup(
    3,
    "ecosystems",
    "S.current.ecosystems",
  );
  static ServiceGroup shops = ServiceGroup(
    4,
    "shops",
     "S.current.shops",
  );
  static ServiceGroup pharmacies = ServiceGroup(
    5,
    "pharmacies",
    "S.current.pharmacies",
  );
  static ServiceGroup paySystems = ServiceGroup(
    6,
    "paySystems",
    "S.current.paySystems",
  );
  static ServiceGroup dating = ServiceGroup(
    7,
    "dating",
    "S.current.dating",
  );
  static ServiceGroup marketplace = ServiceGroup(
    8,
    "marketplace",
    "S.current.marketplace",
  );
  static ServiceGroup taxi = ServiceGroup(
    9,
    "taxi",
    "S.current.taxi",
  );
  static ServiceGroup meal = ServiceGroup(
    10,
    "meal",
    "S.current.meal",
  );
  static ServiceGroup games = ServiceGroup(
    11,
    "games",
    "S.current.games",
  );
  static ServiceGroup betting = ServiceGroup(
    12,
    "betting",
    "S.current.betting",
  );
  static ServiceGroup messengers = ServiceGroup(
    13,
    "messengers",
    "S.current.messengers",
  );
  static ServiceGroup socialMedia = ServiceGroup(
    14,
    "socialMedia",
    "S.current.socialMedia",
  );
  static ServiceGroup otherServices  = ServiceGroup(
    15,
    "All",
    "S.current.otherServices",
  );

  static List<ServiceGroup> groups = [
    popular,
    redirection,
    messengers,
    socialMedia,
    dating,
    games,
    marketplace,
    paySystems,
    meal,
    ecosystems,
    shops,
    taxi,
    pharmacies,
    betting,
    otherServices,
  ];
  static Map<String, int> mapGroupsIndex = {
    popular.shortName: 0,
    redirection.shortName: 1,
    messengers.shortName: 2,
    socialMedia.shortName: 3,
    dating.shortName: 4,
    games.shortName: 5,
    marketplace.shortName: 6,
    paySystems.shortName:7,
    meal.shortName: 8,
    ecosystems.shortName: 9,
    shops.shortName: 10,
    taxi.shortName: 11,
    pharmacies.shortName: 12,
    betting.shortName: 13,
    otherServices.shortName: 14,
  };

  static Map<String, ServiceGroup> mapServiceShortName = {
    "go": ecosystems,
    "mm": ecosystems,
    "hw": ecosystems,
    "am": ecosystems,
    "ma": ecosystems,
    "nv": ecosystems,
    "ya": ecosystems,
    "pm": ecosystems,
    "wb": ecosystems,
    "wx": ecosystems,
    "kf": ecosystems,
    "qq": ecosystems,
    "ls": ecosystems,
    "yu": ecosystems,
    "vy": ecosystems,
    "xm": shops,
    "ju": shops,
    "ew": shops,
    "tk": shops,
    "ke": shops,
    "rd": shops,
    "mg": shops,
    "an": shops,
    "yk": shops,
    "bd": shops,
    "ff": shops,
    "rj": shops,
    "mh": shops,
    "sb": shops,
    "qr": shops,
    "io": pharmacies,
    "aeh": pharmacies,
    "gk": pharmacies,
    "sl": pharmacies,
    "ts": paySystems,
    "ni": paySystems,
    "ge": paySystems,
    "bo": paySystems,
    "bb": paySystems,
    "gr": paySystems,
    "nu": paySystems,
    "xz": paySystems,
    "ax": paySystems,
    "dn": paySystems,
    "ij": paySystems,
    "aeb": paySystems,
    "yp": paySystems,
    "oi": dating,
    "yw": dating,
    "pf": dating,
    "vm": dating,
    "vz": dating,
    "mo": dating,
    "fd": dating,
    "ul": dating,
    "xe": dating,
    "sg": marketplace,
    "uu": marketplace,
    "dh": marketplace,
    "ka": marketplace,
    "av": marketplace,
    "sn": marketplace,
    "kc": marketplace,
    "be": marketplace,
    "qf": marketplace,
    "xj": marketplace,
    "za": marketplace,
    "hz": marketplace,
    "hq": marketplace,
    "xv": marketplace,
    "ub": taxi,
    "jg": taxi,
    "tx": taxi,
    "ua": taxi,
    "rl": taxi,
    "gt": taxi,
    "zf": taxi,
    "yf": taxi,
    "kw": meal,
    "nz": meal,
    "pd": meal,
    "rr": meal,
    "zk": meal,
    "dt": meal,
    "em": meal,
    "jr": meal,
    "fz": meal,
    "sh": meal,
    "aq": meal,
    "iy": meal,
    "yz": meal,
    "ph": meal,
    "abe": meal,
    "te": meal,
    "mt": games,
    "bz": games,
    "qz": games,
    "sm": games,
    "hb": games,
    "hh": games,
    "wn": games,
    "ds": games,
    "ahb": games,
    "ft": betting,
    "ml": betting,
    "lh": betting,
    "hj": betting,
    "tg": messengers,
    "wa": messengers,
    "tw": messengers,
    "me": messengers,
    "vi": messengers,
    "kt": messengers,
    "mj": messengers,
    "fj": messengers,
    "mc": messengers,
    "cr": messengers,
    "dd": messengers,
    "ads": messengers,
    "xf": messengers,
    "ig": socialMedia,
    "fb": socialMedia,
    "lf": socialMedia,
    "vk": socialMedia,
    "mb": socialMedia,
    "ok": socialMedia,
    "fu": socialMedia,
    "df": socialMedia,
    "im": socialMedia,
    "wh": socialMedia,
    "et": socialMedia,
    "bl": socialMedia,
    "vp": socialMedia,
    "we": socialMedia,
    "tn": socialMedia,
  };
}

class ServiceGroup {
  final int id;
  final String shortName;
  final String name;

  ServiceGroup(
    this.id,
    this.shortName,
    this.name,
  );
}
